<!-- ============================================================== -->
<!-- Marina (23/08/2019)  Composición de las lineas de la tabla -->
<!-- ============================================================== -->
<?php

  // 01/09/2020 - J. Rueda - Gestión de borrado de un código promocional
  $borrarCodigoPromocional = Getter::get('borrarCodigoPromocional', NULL);
	if ($borrarCodigoPromocional  !== NULL){
    $codigo = Getter::get('codigo', NULL);
    CodigosPromocionales::removeCodigoPromocional($codigo);
    
    // Eliminalos visualmente la línea


    //Recargamos la página con mensaje de confirmación:
		//Sesion::reloadPage(Shop::$configuracion->url . Sections::$current_section);
	}

  // 04/09/2020 - J.Rueda - Cargamos el listado de escaparates
  $arrEscaparates = Escaparate::getListaEscaparates();
  var_dump($arrEscaparates);

  $parametrosPlantilla = Theme::getLastParamList();
  $camposTabla = Theme::getLastParam('camposTabla');
  $filasTabla = Theme::getLastParam('filasTabla');

  foreach($filasTabla as $indiceFila => $fila){
?>
<tr>
    <?php
      foreach($camposTabla as $campo => $valor){
    ?>
    <th scope="row">
        <?php if ($valor == 'activo') { ?>
          <button type="button" class="<?=($fila->$valor)? '' : 'hide';?> btn btn-success" onclick="
            console.log('CLICKED');
            console.log('<?=$fila->codigo;?>');
            var boton = $(this);
            var options = {id: '<?=$fila->codigo;?>', active: '0'};
            WS_data_update(
              'CodigosPromocionales',
              'activateCodigoPromocional',
              options,
              '',
              function(data){

                console.log(data);

                data = JSON.parse(data.response);
                if (data.resultado == 1){
                  boton.closest('.activo').find('.btn-success').show();
                  boton.closest('.activo').find('.btn-warning').hide();
                }else{
                  boton.closest('.activo').find('.btn-success').hide();
                  boton.closest('.activo').find('.btn-warning').show();
                }
              }
            );
          "><i class="fas fa-check-circle"></i></button>
          <button type="button" class="<?=(!$fila->$valor)? '' : 'hide';?> btn btn-warning" onclick="
            var boton = $(this);
            var options = {id: '<?=$fila->codigo;?>', active: '1'};
            WS_data_update(
              'CodigosPromocionales',
              'activateCodigoPromocional',
              options,
              '',
              function(data){
                
                console.log(data);

                data = JSON.parse(data.response);
                if (data.resultado == 1){
                  boton.closest('.activo').find('.btn-success').show();
                  boton.closest('.activo').find('.btn-warning').hide();
                }else{
                  boton.closest('.activo').find('.btn-success').hide();
                  boton.closest('.activo').find('.btn-warning').show();
                }
              }
            );
          "><i class="fas fa-exclamation-circle"></i></button>
        <?php } else if ($valor == 'escaparates') { ?>
          <?php
            $sentenciaEscaparates = 'SELECT traducesca.nombre FROM `cescaparate`, traducesca WHERE traducesca.escaparate = cescaparate.codigo AND cescaparate.codigo = "'.$fila->$valor.'" LIMIT 1';
            $resultadoEscaparates = mysqli_query($conexionBD, $sentenciaEscaparates);
            ?>
            
              <?php
              if ($filaEscaparates = mysqli_fetch_array($resultadoEscaparates)) { ?>
                  <span class="editable"><?= $filaEscaparates['nombre'] ?></span>
                  <!-- <input class="hide" type="text" class="" value="<//?=$fila->$valor;?>" data-codigo="<//?=$fila->codigo;?>" data-campo="<//?=$valor;?>" data-previo="<//?=$fila->$valor;?>" /> -->
              <?php } else { ?>
                <span class="editable">Todos los escaparates</span>
              <?php } ?>
              <?php
                $sentenciaEscaparates = 'SELECT DISTINCT cescaparate.codigo, traducesca.nombre FROM `cescaparate`, traducesca WHERE traducesca.escaparate = cescaparate.codigo';
                $resultadoEscaparates = mysqli_query($conexionBD, $sentenciaEscaparates);
              ?>
              <select 
                class="hide select2 form-control custom-select" 
                id="listEscaparate" 
                name="escaparates"
                value="<?=$fila->$valor;?>" 
                data-codigo="<?=$fila->codigo;?>"
                data-campo="<?=$valor;?>" 
                data-previo="<?=$fila->$valor;?>" 
                >
                <option value="" <?= $fila->$valor == '' ? 'selected' :''?> >Todos los escaparates</option>
                <?php
                while ($filaEscaparates = mysqli_fetch_array($resultadoEscaparates)) {
                  ?>
                  <option value="<?= $filaEscaparates['codigo'] ?>" <?= $fila->$valor == $filaEscaparates['codigo'] ? 'selected' :''?>><?= $filaEscaparates['nombre'] ?></option>
                  <?php
                }
                ?>
              </select>
        <?php } else { ?>
          <span class="editable"><?=$fila->$valor;?></span>
          <input 
            class="hide" 
            type="text" 
            value="<?=$fila->$valor;?>" 
            data-codigo="<?=$fila->codigo;?>"
            data-campo="<?=$valor;?>" 
            data-previo="<?=$fila->$valor;?>" 
          />
        <?php } ?>
    </th>
    <?php
      }
    ?>
    <td>
        <span class="acciones_lista">
            <form method="post" class="editarKeyword"
                action="<?=Shop::$configuracion->url . Sections::$current_section;?>">
                <button class="btn btn-success" title="<?=traducir('Editar palabra');?>"><i
                        class="mdi mdi-pencil"></i></button>
                <input type="hidden" name="codigoKeyword" value="<?=$fila->codigo;?>" />
                <input type="hidden" name="editarKeyword" value="1" />
                <button type="submit" class="hide"></button>
            </form>
        </span>
        <span class="acciones_lista">
            <form method="post" class="formBorrarCodigoPromocional"
                action="<?=Shop::$configuracion->url . Sections::$current_section;?>">
                <button type="submit" class="btn btn-danger btnBorrar"
                    title="<?=traducir('Borrar código promocional');?>"><i class="mdi mdi-delete"></i></button>
                <input type="hidden" name="borrarCodigoPromocional" value="<?=$fila->codigo;?>" />
                <input type="hidden" name="codigo" value="<?=$fila->codigo;?>" />
            </form>
        </span>
    </td>
</tr>

<?php
  }
?>